Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface CompareEntryOptions

All Known Implementing Classes:
  CompareEntryOptionsImpl

    public interface CompareEntryOptions

Compare Entry Options interface. This defines the methods for setting the options for Compare operation.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`java.lang.String` | `getCompareFilter()` ret rives the filter set for the compare operation
`java.lang.String` | `getEntryName()` retrieves the entry name
`int` | `getTimeLimit()` ret rives the time limit set for the compare operation
`void` | `reset()` Method to reset the values
`void` | `setCompareFilter(java.lang.String filter)` sets the filter for the compare operation
`void` | `setEntryName(java.lang.String entryName)` sets the value for the entry name (that is to be compared)
`void` | `setTimeLimit(int timeLimitMilliSec)` sets the time limit for the compare operation

Method Detail

### setEntryName

    void setEntryName(java.lang.String entryName)

  sets the value for the entry name (that is to be compared)

  Parameters:
    `entryName` - the entry name

### getEntryName

    java.lang.String getEntryName()

  retrieves the entry name

  Returns:
    the entry name set for the compare operation

### setCompareFilter

    void setCompareFilter(java.lang.String filter)

  sets the filter for the compare operation

  Parameters:
    `filter` - the filter to be used for the compare operation

### getCompareFilter

    java.lang.String getCompareFilter()

  ret rives the filter set for the compare operation

  Returns:
    the filter

### setTimeLimit

    void setTimeLimit(int timeLimitMilliSec)

  sets the time limit for the compare operation

  Parameters:
    `timeLimitMilliSec` - the timelimit in milliseconds upto which the operation will search for the named entry.

### getTimeLimit

    int getTimeLimit()

  ret rives the time limit set for the compare operation

  Returns:
    the time limit in milliseconds

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD